export function removeStringKeys(obj: any, keysToRemove: string[]): any {
  if (typeof obj === "object" && obj !== null) {
    for (const key in obj) {
      if (obj.hasOwnProperty(key)) {
        if (keysToRemove.includes(key) && typeof obj[key] === "string") {
          delete obj[key];
        } else {
          removeStringKeys(obj[key], keysToRemove);
        }
      }
    }
  }
  return obj;
}
